ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_iec958.c File Reference

# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_iec958.c File Reference

PCM IEC958 Subframe Conversion Plugin Interface. More...

## Functions
int | snd_pcm_iec958_open (snd_pcm_t **pcmp, const char *name, snd_pcm_format_t sformat, snd_pcm_t *slave, int close_slave, const unsigned char *status_bits, const unsigned char *preamble_vals)
| Creates a new IEC958 subframe conversion PCM.
int | _snd_pcm_iec958_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new IEC958 subframe conversion PCM.

## Detailed Description

PCM IEC958 Subframe Conversion Plugin Interface.

Author:
  Takashi Iwai <tiwai@suse.de>

Date:
  2004

## Function Documentation

int _snd_pcm_iec958_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new IEC958 subframe conversion PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with copy PCM description
  | stream | Stream type
  | mode | Stream mode

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_iec958_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_format_t | sformat,
|  | snd_pcm_t * | slave,
|  | int | close_slave,
|  | const unsigned char * | status_bits,
|  | const unsigned char * | preamble_vals |
| ) |  |  |

Creates a new IEC958 subframe conversion PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | sformat | Slave (destination) format
  | slave | Slave PCM handle
  | close_slave | When set, the slave PCM handle is closed with copy PCM
  | status_bits | The IEC958 status bits
  | preamble_vals | The preamble byte values

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines